Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.huguesjohnson.tiamat.demos.Camineet
Class ItemListEntry

    java.lang.Object
      com.huguesjohnson.tiamat.demos.Camineet.ItemListEntry

public class ItemListEntry
extends java.lang.Object

ItemListEntry - used to list items in an Area

Author:
  Hugues Johnson

Constructor Summary
`ItemListEntry(int x, int y, boolean canTake, Item item)` Constructor.

Method Summary
`boolean` | `getCanTake()` Returns true if the item can be taken.
`Item` | `getItem()` Returns the Item in this entry.
`int` | `getX()` Returns the x-coordinate for the item.
`int` | `getY()` Returns the y-coordinate for the item.
`void` | `setCanTake(boolean canTake)` Sets whether the item can be taken.
`void` | `setItem(Item item)` Sets the Item in this entry.
`void` | `setX(int x)` Sets the x-coordinate for the item.
`void` | `setY(int y)` Sets the y-coordinate for the item.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ItemListEntry

    public ItemListEntry(int x,
                         int y,
                         boolean canTake,
                         Item item)

  Constructor.

Parameters:
  `x` - The x-coordinate for the item.
  `y` - The y-coordinate for the item.
  `canTake` - Whether the item can be taken.
  `item` - The Item for this entry.

Method Detail

### getX

    public int getX()

  Returns the x-coordinate for the item.

  Returns:
    The x-coordinate for the item.

### setX

    public void setX(int x)

  Sets the x-coordinate for the item.

  Parameters:
    `x` - The x-coordinate for the item.

### getY

    public int getY()

  Returns the y-coordinate for the item.

  Returns:
    The y-coordinate for the item.

### setY

    public void setY(int y)

  Sets the y-coordinate for the item.

  Parameters:
    `y` - The y-coordinate for the item.

### getCanTake

    public boolean getCanTake()

  Returns true if the item can be taken.

  Returns:
    True if the item can be taken.

### setCanTake

    public void setCanTake(boolean canTake)

  Sets whether the item can be taken.

  Parameters:
    `canTake` - The new value.

### getItem

    public Item getItem()

  Returns the Item in this entry.

  Returns:
    The Item in this entry.

### setItem

    public void setItem(Item item)

  Sets the Item in this entry.

  Parameters:
    `item` - The new item.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD